﻿Imports System.Runtime.CompilerServices

Public Module modHelpers

    ''' <summary> Function, die eine Zuweisung wrappert </summary>
    ''' <returns>
    ''' False, wenn die Zuweisung nicht ausgeführt wurde, da alter und neuer 
    '''  Wert identisch 
    ''' </returns>
    <Extension()> _
    Public Function Assign(Of T, T2 As T)(ByRef Dest As T, _
        ByVal Src As T2) As Boolean

        If Object.Equals(Dest, Src) Then Return False
        Dest = Src
        Return True
    End Function

End Module
